## org.mortbay.cometd
Class JSONPTransport

    java.lang.Object
      org.mortbay.cometd.AbstractTransport
          org.mortbay.cometd.JSONPTransport

All Implemented Interfaces:
  Transport

    public class JSONPTransport

extends AbstractTransport

Author:
  aabeling, gregw

Field Summary
`static String` `__DEFAULT_CALLBACK`

Constructor Summary
`JSONPTransport(String jsonp)`

Method Summary
`void` `complete()`
`String` `getJsonp()`
`boolean` `isMetaConnectDeliveryOnly()`
`void` `send(org.cometd.Message message)`
`String` `toString()`

Methods inherited from class org.mortbay.cometd.AbstractTransport
`getMetaConnectReply, getResponse, setMetaConnectReply, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### __DEFAULT_CALLBACK

    public static final String __DEFAULT_CALLBACK

See Also:
  Constant Field Values

Constructor Detail

### JSONPTransport

    public JSONPTransport(String jsonp)

Method Detail

### send

    public void send(org.cometd.Message message)
              throws IOException

  Throws:
    `IOException`

### complete

    public void complete()
                  throws IOException

  Throws:
    `IOException`

### isMetaConnectDeliveryOnly

    public boolean isMetaConnectDeliveryOnly()

### getJsonp

    public String getJsonp()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.